---
title: Solutions
description: "GitLab helps you overcome the real world challenges you are facing with your entire software development lifecycle. Learn more!"
canonical_path: "/solutions/"
suppress_header: true
extra_css:
  - features-v2.css
  - solutions-v2.css
extra_js:
  - features.js
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    = image_tag "/images/devops-tools/gitlab-logo.svg", class: "hero-image-small", alt: "GitLab logo icon svg"
    %h1 Solutions
    %p GitLab helps you overcome the real world challenges you are facing with your entire software development lifecycle.

.gitlab-content-container
  .grid-layout.grid-layout2
    .solution-info-container.grid-item
      %h3
        = "Version Control and Collaboration"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p Integrated workflows for crossfunctional teams
      %p
        = "Source code management enables coordination, sharing and collaboration across the entire software development team. Track and merge branches, audit changes and enable concurrent work, to accelerate software delivery."
      = link_to "/solutions/version-control/" do
        Learn about GitLab Version Control and Collaboration
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Remote Work"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p Collaborate efficiently from anywhere
      %p
        = "GitLab is a collaboration tool designed to help people work better together whether they are in the same location or spread across multiple time zones."
      = link_to "/solutions/gitlab-for-remote/" do
        Learn how GitLab enables remote work
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Agile Delivery"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p Adopt agile software development practices
      %p
        = "Agile software development practices help teams break work into smaller increments and accelerate software development and delivery.  GitLab's powerful planning features enable you to streamline agile adoption by keeping it closely linked to software delivery."
      = link_to "/solutions/agile-delivery/" do
        Learn how GitLab enables agile delivery
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Agile Portfolio Management"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p Plan and manage strategic epics and roadmaps
      %p
        = "Align and track strategic epics from planning through delivery in a single application."
      = link_to "/solutions/portfolio-management/" do
        Learn how GitLab enables portfolio management
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Program Management"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p Manage programs across multiple products and groups
      %p
        = "Regardless of your methodology, connect development teams with planning to organize and manage project delivery."
      = link_to "/solutions/program-management/" do
        Learn how GitLab powers project management
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Project Management"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p Collaborate and manage project delivery
      %p
        = "Regardless of your methodology, connect development teams with planning to organize and manage project delivery."
      = link_to "/solutions/project-management/" do
        Learn how GitLab powers project management
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Value Stream Management"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p Maximize the value of your software factory
      %p
        = "Enterprises need to manage, visualize and measure the business value created across multiple software delivery pipelines. Value Stream Management (VSM) aggregates data from multiple software delivery pipelines to provide visibility that an application release will deliver the value expected of it."
      = link_to "/solutions/value-stream-management/" do
        Learn how GitLab helps value stream management
        %i.fas.fa-arrow-right


    .solution-info-container.grid-item
      %h3
        = "DevSecOps"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p Improve Quality and Security with DevSecOps
      %p
        = "'We’ll fix it in production' is the typical answer to late found defects or security issues on far too many software projects.  Because testing and security are separate silos, often after multiple rounds of development work, it means that each defect or vulnerability can cause extensive rework.   If only the issue was found when it was created.   GitLab enables better quality and improved security by embedding testing, QA and security scans into every pipeline, giving developers the right feedback at the right time.  "
      = link_to "/solutions/dev-sec-ops/" do
        Learn how GitLab enables DevSecOps
        %i.fas.fa-arrow-right


    .solution-info-container.grid-item
      %h3
        = "GitLab for enterprise businesses"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p How GitLab is enterprise class
      %p
        = "GitLab has been designed to be easy to deploy and maintain. A single system configuration can scale to support over 32,000 active users, requiring minimal administration effort, and a multi-node, distributed services configuration can scale to support 100's of thousands of active users. Implementing High Availability, Backups, and Disaster Recovery has been made simple with GitLab Omnibus packaging. The GitLab codebase is used in over 66% of the self-managed Git market and is tested in the crucible of GitLab.com, with over 2 million active users."
      = link_to "/solutions/enterprise-class/" do
        GitLab for enterprises
        %i.fas.fa-arrow-right


    .solution-info-container.grid-item
      %h3
        = "Accelerating Delivery"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p IT Delivery at the Speed of Business
      %p
        = "Every business is really a software business and accelerating software delivery is critical to business success.   DevOps is the answer, however often, DevOps leads to fragmented and disconnected tool chains, which increases friction, increases cost and ultimately makes it much  harder to collaborate.   GitLab’s comprehensive, single application end to end DevOps approach enables teams to accelerate delivery without compromise."
      = link_to "/solutions/faster-software-delivery/" do
        Learn how GitLab helps accelerate delivery
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Cloud Transformation"
      .flex-container
        = image_tag "/images/icons/website.png", class: "solution-logo", alt: "Cloud Native"
        %p Cloud native for business
      %p
        = "Many organizations are migrating to a cloud native approach to application architecture.  GitLab can help you with your evolution to building and shipping cloud native apps."
      = link_to "/solutions/cloud-native/" do
        Learn how GitLab enables cloud native applications
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Day 2 Operations"
      .flex-container
        = image_tag "/images/icons/auto-devops.svg", class: "solution-logo", alt: "day 2 operations"
        %p Support for teams at all stages of maturity
      %p
        = "Many tools struggle with serving new users who want to get code deployed as well as they serve experienced teams.  Those teams need robust processes for building and deploying their applications.  GitLab balances that by relying on small primitives that allow for gradual customization."
      = link_to "/solutions/day-2-ops/" do
        Learn about Day 2 Operations
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Software-defined Infrastructure"
      .flex-container
        = image_tag "/images/icons/auto-devops.svg", class: "solution-logo", alt: "no ticket provisioning"
        %p Streamlined no-ticket provisioning
      %p
        = "Too often, projects are delayed waiting for infrastructure and environments to be provisioned.  GitLab can help you move to a streamlined process and simplify the value stream to deliver business solutions with no ticket provisioning."
      = link_to "/solutions/no-ticket-provisioning/" do
        Learn about No Ticket Provisioning
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Application Performance Management"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "Application Monitoring"
        %p Integrated APM
      %p
        = "Operations is often viewed in a silo and considered as an after-thought when deploying new versions of software. However, due to lack of end to end visibility, this approach frequently leads to increased mean time to repair. GitLab can help you integrate application performance management with your end to end DevOps lifecycle helping you achieve improved performance and availability."
      = link_to "/solutions/apm/" do
        Learn about Integrated APM
        %i.fas.fa-arrow-right


    .solution-info-container.grid-item
      %h3
        = "Improve regulatory compliance"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "gitlab logo"
        %p Compliance and Governance at DevOps Velocity
      %p
        Worried about your next SDLC audit?  Are your teams following the right controls and documenting every change?   In many cases compliance is an expensive and error prone activity, where the stakes are incredibly high.   GitLab’s workflows, audit trails and clear approval process makes it natural and easy to deliver at the speed of DevOps with compliance built in. See how GitLab can help with
        %a{ href: "https://about.gitlab.com/solutions/pci-compliance" } PCI Compliance,
        %a{ href: "https://about.gitlab.com/solutions/hipaa-compliance" } HIPAA Compliance,
        %a{ href: "https://about.gitlab.com/solutions/financial-services-regulatory-compliance/" } Financial Services Regulatory Compliance,
        %a{ href: "https://about.gitlab.com/gdpr" } GDPR,
        %a{ href: "https://about.gitlab.com/solutions/iec-62304" } IEC 62304:2006,
        %a{ href: "https://about.gitlab.com/solutions/iso-13485" } ISO 13485:2016,
        and
        %a{ href: "https://about.gitlab.com/solutions/iso-26262" } ISO 26262-6:2018.
      = link_to "/solutions/compliance" do
        Learn how GitLab improves compliance
        %i.fas.fa-arrow-right


    .solution-info-container.grid-item
      %h3
        = "Supporting Geographically distributed teams"
      .flex-container
        = image_tag "/images/icons/geo-icon.svg", class: "solution-logo", alt: "gitlab geo icon"
        %p Maximize Remote Developer Productivity
      %p
        = "Often development teams work in remote offices around the globe, creating unique collaboration challenges and overhead in keeping them and their work in sync with each other.   GitLab simplifies the challenges of leading and managing remote teams, making it easier for them to stay current and working on the latest version of their code."
      = link_to "/solutions/geo/" do
        Gain 20x speed with GitLab Geo
        %i.fas.fa-arrow-right


    .solution-info-container.grid-item
      %h3
        = "Reference Architectures"
      .flex-container
        = image_tag "/images/icons/geo-icon.svg", class: "solution-logo", alt: "gitlab geo icon"
        %p GitLab scales as your business grows
      %p
        = "GitLab is flexible. Whether you’re a business just starting out, or a complex enterprise spread over multiple continents with thousands of developers, GitLab can scale to your needs and uptime requirements."
      = link_to "/solutions/reference-architectures/" do
        Learn how to install and manage GitLab Reference Architectures
        %i.fas.fa-arrow-right


    .solution-info-container.grid-item
      %h3
        = "Team / Development Platform"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "Developer Platform"
        %p Create a productive and efficient workspace for delivery teams.
      %p
        = "GitLab is a single application supporting the entire development lifecycle.  As such, GitLab helps teams connect, collaborate and accelerate delivery, helping to meet your business goals and improve team satisfaction. "
      = link_to "/solutions/developer-platform/" do
        Learn how GitLab can help your teams be more productive
        %i.fas.fa-arrow-right


    .solution-info-container.grid-item
      %h3
        = "Amazon Web Services"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p GitLab deploys your applications to AWS.
      %p
        = "GitLab is a single application supporting the entire development lifecycle. As such, GitLab helps teams connect, collaborate and accelerate delivery, helping to meet your business goals and improve team satisfaction. "
      = link_to "/solutions/aws/" do
        Learn how GitLab and AWS work together
        %i.fas.fa-arrow-right


    .solution-info-container.grid-item
      %h3
        = "Google Cloud Platform"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p GitLab deploys your applications to Google Cloud (GCP) with tight Google Kubernetes Engine (GKE) integration.
      %p
        = "GitLab is a single application supporting the entire development lifecycle. As such, GitLab helps teams connect, collaborate and accelerate delivery, helping to meet your business goals and improve team satisfaction."
      = link_to "/solutions/google-cloud-platform/" do
        Learn how GitLab and GCP work together
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Education"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p GitLab solutions for education.
      %p
        = "Educational institutions around the world use GitLab widely, and our top tiers (Gold and Ultimate) are free for education. We want students to use our most advanced features, so they can take that experience to their future workplaces."
      = link_to "/solutions/education/" do
        Learn about GitLab for education
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "GitLab Flow"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p A simple Git flow enabled by GitLab.
      %p
        = "The GitLab workflow facilitates improved team collaboration by accelerating ideas to production with features such as Auto DevOps."
      = link_to "/solutions/gitlab-flow/" do
        Learn about GitLab Flow
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Public sector"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        GitLab for the public sector.
      %p
        = "Bring the power of Git and CI/CD to your federal, state, and education IT teams.  Deploy GitLab in your FedRAMP cloud service of choice."
      = link_to "/solutions/public-sector/" do
        Learn more
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Open source"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p GitLab is committed to open source.
      %p
        = "Learn about major open source projects using GitLab as well as how to obtain free licenses for GitLab Gold or Ultimate for open source projects as part of our commitment to open source."
      = link_to "/solutions/open-source/" do
        Explore open source
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "InnerSource"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p GitLab is tailor-made for InnerSource.
      %p
        = "Learn about the power of deploying open source but within your organization, without giving away your source code."
      = link_to "/solutions/innersource/" do
        Explore InnerSource
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Data Science"
      .flex-container
        = image_tag "/images/devops-tools/gitlab-logo.svg", class: "solution-logo", alt: "GitLab logo"
        %p GitLab helps teams connect, collaborate, and accelerate.
      %p
        = "GitLab helps data science teams align, organize, and accelerate with team collaboration, version control, agile project management, and automation that remove organizational barriers and friction so you can move faster, without sacrificing quality and reproducibility."
      = link_to "/solutions/data-science/" do
        Learn about GitLab for Data Science
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "File locking"
      %p
        = "Better version control for text and binary files."
      = link_to "/solutions/file-locking/" do
        Learn more
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "CI/CD for GitHub"
      %p
        = "Host your code on GitHub. Verify, Package, Release, Configure, and Monitor on GitLab."
      = link_to "/solutions/github/" do
        Learn more
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Jenkins integration"
      %p
        = "Trigger a Jenkins build for every push to your GitLab Projects."
      = link_to "/solutions/jenkins/" do
        Learn more
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Jira integration"
      %p
        = "GitLab's JIRA Integration features ensures developers in GitLab and project managers in JIRA remain in tune."
      = link_to "/solutions/jira/" do
        Learn more
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Subgroups"
      %p
        = "Manage large projects easily with Subgroups."
      = link_to "/solutions/subgroups/" do
        Learn more
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Time tracking"
      %p
        = "GitLab's Time Tracking feature is built into GitLab so your team can easily estimate and record the time spent on issues and merge requests."
      = link_to "/solutions/time-tracking/" do
        Learn more
        %i.fas.fa-arrow-right

    .solution-info-container.grid-item
      %h3
        = "Remove software bottlenecks"
      %p
        = "Together, your leadership and GitLab can enable and accelerate a DevOps transformation."
      = link_to "/solutions/remove-bottlenecks/" do
        Learn more
        %i.fas.fa-arrow-right
